Table of Contents

Class: Screen | ../bkchem/singleton_store.py
--- | ---
Config stores values that are determined on startup
Methods |
--- | ---
any_to_px cm_to_px mm_to_px px_to_cm px_to_text_with_unit px_to_unit read_xml_point
| any_to_px
    any_to_px ( self,  xyz )
| cm_to_px
    cm_to_px ( self,  cm )
transforms coord from cm to px
| mm_to_px
    mm_to_px ( self,  mm )
transforms coord from mm to px
| px_to_cm
    px_to_cm ( self,  px )
transforms coord from px to cm
| px_to_text_with_unit
    px_to_text_with_unit (
            self,
            xyz,
            unit='cm',
            round_to=3,
            )
| px_to_unit
    px_to_unit (
            self,
            xyz,
            unit='cm',
            round_to=3,
            )
| read_xml_point
    read_xml_point ( self,  point )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1